/**
 * Copyright 2011 Nikolche Mihajlovski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jannocessor.util;

import org.jannocessor.JannocessorException;

public class Jannocessor {

	public static JannocessorException error(String message) {
		return new JannocessorException(message);
	}

	public static JannocessorException error(String message, Exception cause) {
		return new JannocessorException(message, cause);
	}

	public static void ensure(boolean condition, String errorMessage,
			Object... messageArgs) {
		if (!condition) {
			throw new IllegalStateException(String.format(errorMessage,
					messageArgs));
		}
	}

}
